/* Reset */
* {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
}

html, body {
  height: 100%;
  min-height: 100%;
  margin: 0;
}

body {
  color: #fff;
  font-size: 14px;
  font-family: sans-serif;
  line-height: 22px;
  margin: 0;
  background-color: black;
}

body:fullscreen {
  overflow: scroll !important;
}
body:-ms-fullscreen {
  overflow: scroll !important;
}
body:-webkit-full-screen {
  overflow: scroll !important;
}
body:-moz-full-screen {
  overflow: scroll !important;
}

img {
  border: 0;
  max-width: 100%;
}

ul, ol {
  padding: 0;
  margin: 0;
}

li {
  list-style: none;
}

a, input, textarea {
  outline: none;
}

textarea {
  resize: none;
  overflow: auto;
}

input::-moz-focus-inner {
  border: 0;
  padding: 0;
}

.color-danger {
  color: #fc2f56;
}

/* check-control */
input[type=radio] {
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  cursor: pointer;
  min-width: 20px;
  height: 20px;
  border: 2px solid #ababac;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  background: url(../images/dot.svg) -9999px -9999px no-repeat;
  background-size: 10px 10px;
}
input[type=radio]:checked {
  background-color: #ff9800;
  background-position: center center;
  border-color: #ff9800;
}

.check-control {
  display: flex;
  align-items: flex-start;
  font-size: 16px;
  line-height: 20px;
  cursor: pointer;
}
.check-control input[type=radio] {
  margin-right: 9px;
}
.check-control input[type=radio]:checked + span {
  color: #ff9800;
}

/* bursframe */
.bursframe {
  background: #0a0b0d;
  max-width: 100%;
  height: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  width: 100%;
  position: relative;
  overflow: hidden;
} 
.bursframeAdv {
  background: #0a0b0d;
  max-width: 100%;
  height: 20%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  width: 100%;
  position: relative;
  overflow: hidden;
  text-align:center;
} 

.bursframe_header {
  margin-top:7px;
  display: flex;
  position: relative;
  padding: 0 16px;
  align-items: center;
  justify-content: space-between;
  height: 40px;
}
.bursframe_content {
  padding: 10px 30px 0px;
  flex: 1;
}
.bursframe_footer {
  display: flex;
  /* align-items: flex-end; */
  padding: 0 16px 16px;
  height: 60px;
}

/* bursframe_nav */
.bursframe_nav {
  border-radius: 6px;
  -webkit-border-radius: 6px;
  display: flex;
  padding: 0;
  margin: 0 0 0 16px;
  height: 48px;
}
.bursframe_nav li {
  width: 100%;
  list-style: none;
  margin: 0;
  display: block;
}
.bursframe_nav_btn {
  background: #313234;
  width: 100%;
  height: 48px;
  border: 0;
  cursor: pointer;
  min-width: 56px;
  border-radius: 0;
  -webkit-border-radius: 0;
  padding: 0;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  text-align: center;
  line-height: 48px;
  color: #fff;
  font-size: 16px;
}
.bursframe_nav_btn.active {
  background-color: #ff9800;
  color: #0a0b0d;
}
.bursframe_nav_tools {
  background: #313234 url(../images/chart1-white.svg) center center no-repeat;
  background-size: 22px 22px;
}
.bursframe_nav_tools.active {
  background-image: url(../images/chart1.svg);
}
.bursframe_nav_chart2 {
  background: #313234 url(../images/chart2-white.svg) center center no-repeat;
  background-size: 22px 22px;
}
.bursframe_nav_chart2.active {
  background-image: url(../images/chart2.svg);
}
.bursframe_nav_chart3 {
  background: #313234 url(../images/chart3-white.png) center center no-repeat;
  background-size: 22px 22px;
}
.bursframe_nav_chart3.active {
  background-image: url(../images/chart3.png);
}
.bursframe_nav_chart4 {
  background: #313234 url(../images/chart4-white.svg) center center no-repeat;
  background-size: 22px 22px;
}
.bursframe_nav_chart4.active {
  background-image: url(../images/chart4.svg);
}
.bursframe_nav_chart5 {
  background: #313234 url(../images/chart5-white.svg) center center no-repeat;
  background-size: 22px 22px;
}
.bursframe_nav_chart5.active {
  background-image: url(../images/chart5.svg);
}
.bursframe_nav > li:first-child > .bursframe_nav_btn {
  border-radius: 6px 0 0 6px;
  -webkit-border-radius: 6px 0 0 6px;
}
.bursframe_nav > li:last-child > .bursframe_nav_btn {
  border-radius: 0 6px 6px 0;
  -webkit-border-radius: 0 6px 6px 0;
}
.bursframe_nav-large {
  height: 56px;
  position: absolute;
  left: 16px;
  right: 16px;
  margin: 0;
  bottom: 80px;
  transition: all 200ms ease-in-out;
  opacity: 0;
  visibility: hidden;
}
.bursframe_nav-large.opened {
  opacity: 1;
  visibility: visible;
}
.bursframe_nav-large .bursframe_nav_btn {
  height: 56px;
  line-height: 56px;
}

.bursframe_nav-large .bigText {
  font-size:30px;
}


/* bursframe_marq */
.bursframe_marq {
  background: #313234;
  height: 48px;
  border-radius: 6px;
  padding: 0 16px;
  display: flex;
  align-items: center;
  min-width: 0;
  flex: 1;
}
.bursframe_marq_scroll {
  display: flex;
  overflow: hidden;
  flex: 1;
  border: 1px;
  min-width: 0;
}
.bursframe_marq_item {
  font-size: 15px;
  line-height: 16px;
  position: relative;
  padding: 0 10px;
  white-space: nowrap;
  width: auto;
}
.bursframe_marq_item span {
 direction: ltr;
 text-align: left;
}
.bursframe_marq_item::after {
  background: #626262;
  content: "";
  display: block;
  position: absolute;
  right: 0;
  top: 2px;
  width: 1px;
  height: 12px;
}
.bursframe_marq_item:first-child {
  padding-left: 0;
}
.bursframe_marq_item:last-child {
  padding-right: 0;
}
.bursframe_marq_item:last-child::after {
  content: none;
  display: none;
}

.bursframe_marq-details {
  display: flex;
  align-items: center;
  margin: 0 10px 0 0;
}

/* form-number */
.form-number {
  width: 60px;
  height: 32px;
  margin: 0 10px 0 0;
  text-align: center;
  background: white;
  border: 1px solid #555;
  border-radius: 3px;
  color: black;
  padding: 4px;
  -moz-appearance: textfield;
}
.form-number::-webkit-outer-spin-button, .form-number::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.bursframe_full_screen {
  margin-right: 10px;
}


/* bursframe_btn */
.bursframe_btn {
  background: #313234 url(../images/caret.svg) center center no-repeat;
  width: 22px;
  height: 80px;
  cursor: pointer;
  position: absolute;
  padding: 0;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  background-size: 10px;
  border: 0;
  border-radius: 0 6px 6px 0;
  -webkit-border-radius: 0 6px 6px 0;
  top: 50%;
  margin-top: -40px;
}
.bursframe_btn.bursframe_left {
  left: 0;
}
.bursframe_btn.bursframe_right {
  right: 0;
  transform: matrix(-1, 0, 0, 1, 0, 0);
}
.bursframe_btn.active {
  background-color: transparent;
}

/* bursframe_star */
.bursframe_star {
  background: url(../images/star.svg) center center no-repeat;
  border: 0;
  border-radius: 0;
  -webkit-border-radius: 0;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  width: 24px;
  height: 30px;
  cursor: pointer;
  background-size: 22px;
  padding: 0;
}

.bursframe_star_empty {
  background: url(../images/star_empty.png) center center no-repeat;
  border: 0;
  border-radius: 0;
  -webkit-border-radius: 0;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  width: 24px;
  height: 30px;
  cursor: pointer;
  background-size: 22px;
  padding: 0;
  float:left;
} 
   
.bursframe_full_screen {
  background: url(../images/full_screen.png) center center no-repeat;
  border: 0;
  border-radius: 0;
  -webkit-border-radius: 0;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  width: 24px;
  height: 30px;
  cursor: pointer;
  background-size: 22px;
  padding: 0;
  float:left;
}
  
.bursframe_exit_full_screen {
  background: url(../images/exit_full.png) center center no-repeat;
  border: 0;
  border-radius: 0;
  -webkit-border-radius: 0;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  width: 24px;
  height: 30px;
  cursor: pointer;
  background-size: 22px;
  padding: 0;
  float:left;
}
.bursframe_exit_icon {
  background: url('https://chart.bursagraph.co.il/images/exit-icon-red.png') center center no-repeat;
  border: 0;
  border-radius: 0;
  -webkit-border-radius: 0;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  width: 24px;
  height: 30px;
  cursor: pointer;
  background-size: 22px;
  padding: 0;
  float:left;
} 


/* bursframe_more */
.bursframe_more {
  border: 0;
  border-radius: 0;
  -webkit-border-radius: 0;
  position: relative;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  cursor: pointer;
  font-size: 15px;
  line-height: 20px;
  color: #fff;
  background: 0;
  padding: 0 2px 0 0;

}

.bursframe_more::after {
  background-size: cover;
  width: 18px;
  height: 18px;
  display: block;
  content: '';
  position: absolute;
  right: 0;
  top: 50%;
  margin-top: -9px;
}

/* bursframe_popup */
.bursframe_popup {
  background: #454547;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  position: absolute;
  right: 16px;
  top: 16px;
  bottom: 16px;
  width: 200px;
  padding: 16px;
  display: flex;
  flex-wrap: wrap;
  align-content: space-between;
  z-index: 200;
}
.bursframe_popup_item, .bursframe_popup ul {
  width: 100%;
}
.bursframe_popup_btns {
  position: absolute;
  left: -88px;
  top: 0;
  bottom: 0;
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  width: 48px;
}
.bursframe_popup_link {
  position: relative;
  font-size: 16px;
  line-height: 20px;
  padding: 12px 38px 12px 16px;
  color: #fff;
  display: block;
  text-decoration: none;
  transition: all 100ms ease-in-out;
  width: 100%;
}
.bursframe_popup_link::after {
  background: url(../images/caret.svg) center center no-repeat;
  position: absolute;
  content: '';
  display: block;
  width: 30px;
  right: 0;
  top: 0;
  bottom: 0;
  background-size: 10px;
}
.bursframe_popup_link:hover, .bursframe_popup_link.active {
  background: #ff9800;
  color: #0a0b0d;
}
.bursframe_popup_link:hover::after, .bursframe_popup_link.active::after {
  background-image: url(../images/caret-black.svg);
}

.bursframe_overlay {
  background: rgba(0, 0, 0, 0.65);
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 100;
  display: none;
}

/* options_popup */
#options_popup {
  transition: all 200ms ease-in-out;
  transform: translateX(400px);
}
#options_popup.opened {
  transform: translateX(0);
}

/* bursframe_menu */
#bursframe_menu {
  transition: all 200ms ease-in-out;
  transform: translateX(-400px);
  right: auto;
  left: 16px;
  padding: 0;
  align-content: center;
}
#bursframe_menu.opened {
  transform: translateX(0);
}
#bursframe_menu .switch {
  padding: 12px 16px;
}
#bursframe_menu .bursframe_popup_btns {
  left: auto;
  right: -88px;
  transition: all 100ms ease-in-out;
}
#bursframe_menu.opened_child {
  border-radius: 8px 0 0 8px;
  -webkit-border-radius: 8px 0 0 8px;
}
#bursframe_menu.opened_child .bursframe_popup_btns {
  transform: translateX(200px);
}

/* bursframe_popup_child */
.bursframe_popup_child {
  background: #313234;
  position: absolute;
  left: 200px;
  top: 0;
  bottom: 0;
  border-radius: 0 8px 8px 0;
  -webkit-border-radius: 0 8px 8px 0;
  transform: scaleX(0);
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  transition: all 100ms ease-in-out;
  transform-origin: 0 100%;
  padding: 20px 0;
  width: 200px;
}

.bursframe_popup ul {
  overflow: auto;
  height: 100%;
}

.bursframe_popup_child ul {
  overflow: auto;
  height: 100%;
}
.bursframe_popup_child.opened {
  transform: scaleX(1);
}
.bursframe_popup_child li {
  width: 100%;
  display: flex;
  align-items: center;
}
.bursframe_popup_child li .form-number {
  margin-left: auto;
  width: 50px;
}
.bursframe_popup_child .check-control {
  padding: 12px 16px;
  font-size: 14px;
}

.bursframe_popup_child .check-control .editParam {
  padding: 2px 2px;
  width: 45px; height:25px;
  margin: 0 5px 0 0;
  text-align: center;
}

/* bursframe_popup_child  2 columns*/
.bursframe_popup_child .twocol {
 margin: 0;
    padding: 0;
    column-count: 2;
    column-gap: 30px;
}

.bursframe_popup_child li {
background-color: #333;
  list-style: none;
  padding: 8px 16px;
 }


/* Switch */
.switch {
  font-size: 16px;
  line-height: 20px;
  cursor: pointer;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.switch input[type=checkbox] {
  width: 0;
  height: 0;
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
  position: absolute;
}
.switch_title {
  display: block;
}
.switch_toggle {
  background: #0a0b0d;
  border-radius: 12px;
  -webkit-border-radius: 12px;
  width: 34px;
  height: 12px;
  position: relative;
  display: block;
}
.switch_toggle::before {
  content: "";
  display: block;
  position: absolute;
  left: 0;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  width: 20px;
  height: 20px;
  background: #9d9d9e;
  top: -4px;
  transition: all 100ms ease-in-out;
}
input[type="checkbox"]:checked + .switch_toggle::before {
  background: #ff9800;
  transform: translateX(14px);
}

/* sqbtn */
.sqbtn {
  background-color: #454547;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  width: 48px;
  height: 48px;
  display: block;
  outline: none;
  margin: 0;
  padding: 0;
  appearance: none;
  -webkit-appearance: none;
  border: 0;
  cursor: pointer;
  padding: 0;
  margin: 0 0 16px;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 20px 20px;
}
.sqbtn:last-child {
  margin: 0;
}
.sqbtn:hover {
  background-color: #ff9800;
}
.sqbtn-delete {
  background-image: url(../images/delete-white.svg);
}
.sqbtn-delete:hover {
  background-image: url(../images/delete.svg);
}
.sqbtn-refresh {
  background-image: url(../images/refresh-white.svg);
}
.sqbtn-refresh:hover {
  background-image: url(../images/refresh.svg);
}
.sqbtn-ok {
  background-image: url(../images/check-white.svg);
}
.sqbtn-ok:hover {
  background-image: url(../images/check.svg);
}

/* responsive */
.mobile_size {
  display: none;
}

@media screen and (max-width: 480px) {
  .desktop_size {
    display: none;
  }

  .mobile_size {
    display: block;
  }

  .bursframe_nav_btn, .bursframe_marq_item, .check-control {
    font-size: 13px;
  }

  .bursframe_nav_btn {
    min-width: 48px;
  }

  /* bursframe_menu */
  #bursframe_menu {
    width: 160px;
    transform: translateX(-400px);
  }
  #bursframe_menu .bursframe_popup_btns {
    right: -54px;
  }
  #bursframe_menu.opened_child .bursframe_popup_btns {
    transform: translateX(120px);
  }

  .bursframe_popup_child {
    left: 160px;
    max-width: 140px;
  }
  .bursframe_popup_child .check-control {
    padding: 6px 12px;
  }
  
  .bursframe_popup_child ul
    { padding-top:15px; }
  
}

@media screen and (max-height: 361px) {
.bursframe_popup_child ul 
{
 
}}

.chartbig_image {  border: 1px solid #b4b4b4; display: block; width: 100%; padding:2px 2px 2px 2px; }

.btn {
  background: #fff;
  border: 0;
  border-radius: 8px;
  color: #0a0b0d;
  cursor: pointer;
  display: inline-block;
  font-size: 16px;
  line-height: 22px;
  padding: 13px 24px;
  text-align: center;
  text-decoration: none;
  transition: all 200ms ease-in-out;
}

.select-gray {
  background: #454547;
  border: 3px solid var(--color-yellow);
  color: white;
  padding-right: 12px;
  padding-left: 36px;
  width: 100%;
  background-image: url(../../sm_images/svg/caret-yellow.svg);
  background-repeat: no-repeat;
  background-position: 10px 10px;
  background-size: 25px 25px;
}

/* Absolute Center Spinner */
.loading {
  position: fixed;
  z-index: 999;
  height: 2em;
  width: 2em;
  overflow: visible;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: black;
}

/* Transparent Overlay */
.loading:before {
  content: '';
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.3);
  color: white;
}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
  /* hide "loading..." text */
  font: 0/0 a;
  color: white;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}

.loading:not(:required):after {
  content: '';
  display: block;
  font-size: 10px;
  width: 1em;
  height: 1em;
  margin-top: -0.5em;
  -webkit-animation: spinner 1500ms infinite linear;
  -moz-animation: spinner 1500ms infinite linear;
  -ms-animation: spinner 1500ms infinite linear;
  -o-animation: spinner 1500ms infinite linear;
  animation: spinner 1500ms infinite linear;
  border-radius: 0.5em;
  -webkit-box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.5) -1.5em 0 0 0, rgba(255, 255, 255, 0.5) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
  box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;  
}

/* Animation */

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-moz-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-o-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

